Welcome to MilkyWay@home

Milkeyway@home on R9 380


Advanced search

Message boards : Number crunching : Milkeyway@home on R9 380
Message board moderation

To post messages, you must log in.

AuthorMessage
Profileandre

Send message
Joined: 9 Mar 10
Posts: 8
Credit: 9,117,363
RAC: 0
5 million credit badge12 year member badge
Message 64478 - Posted: 19 Apr 2016, 19:08:05 UTC

I'm just back to BOINC and after leaving my hd5770 (no DP) behind I wanted to join MW@home again after a long time (on my HD3870)

Problem is I get the Error "ATI GPU R600 (R38xx) does not support OpenCL"
I looked around a bit, updated BOINC to the last stable, installed AMD APP and even though the message is gone now, I dont get any WUs (no reason given in the Messages Tab of BOINC).
I tried some app_info.xmls (http://milkyway.cs.rpi.edu/milkyway/forum_thread.php?id=3457#60804), then I get WUs, they give Compute errors though (they are for 280X not 380).

Can anyone help me out here?
ID: 64478 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profilemikey
Avatar

Send message
Joined: 8 May 09
Posts: 2884
Credit: 471,215,616
RAC: 260,747
300 million credit badge13 year member badgeextraordinary contributions badge
Message 64479 - Posted: 20 Apr 2016, 10:12:10 UTC - in response to Message 64478.  

I'm just back to BOINC and after leaving my hd5770 (no DP) behind I wanted to join MW@home again after a long time (on my HD3870)

Problem is I get the Error "ATI GPU R600 (R38xx) does not support OpenCL"
I looked around a bit, updated BOINC to the last stable, installed AMD APP and even though the message is gone now, I dont get any WUs (no reason given in the Messages Tab of BOINC).
I tried some app_info.xmls (http://milkyway.cs.rpi.edu/milkyway/forum_thread.php?id=3457#60804), then I get WUs, they give Compute errors though (they are for 280X not 380).

Can anyone help me out here?


Try updating your version of Boinc to 7.2.39, it's available here:
http://boinc.berkeley.edu/dl/?C=M;O=D
ID: 64479 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profileandre

Send message
Joined: 9 Mar 10
Posts: 8
Credit: 9,117,363
RAC: 0
5 million credit badge12 year member badge
Message 64480 - Posted: 20 Apr 2016, 14:37:32 UTC - in response to Message 64478.  

...updated BOINC to the last stable...


already am on 7.2.39 (x64)
ID: 64480 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profilemikey
Avatar

Send message
Joined: 8 May 09
Posts: 2884
Credit: 471,215,616
RAC: 260,747
300 million credit badge13 year member badgeextraordinary contributions badge
Message 64482 - Posted: 21 Apr 2016, 10:30:20 UTC - in response to Message 64480.  

...updated BOINC to the last stable...


already am on 7.2.39 (x64)


Ahh I see now, maybe it was just slow updating, I also see you have some tasks now.
ID: 64482 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profileandre

Send message
Joined: 9 Mar 10
Posts: 8
Credit: 9,117,363
RAC: 0
5 million credit badge12 year member badge
Message 64484 - Posted: 21 Apr 2016, 19:34:35 UTC - in response to Message 64482.  
Last modified: 21 Apr 2016, 19:34:58 UTC

unfortunately not, the tasks I have are the ones that got compute errors, I forgot to sync before I did a reset on the project in hope it'll fix it
ID: 64484 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
ProfileHAL9000
Avatar

Send message
Joined: 19 Nov 09
Posts: 8
Credit: 80,015,522
RAC: 0
50 million credit badge12 year member badge
Message 64521 - Posted: 1 May 2016, 19:33:52 UTC - in response to Message 64480.  
Last modified: 1 May 2016, 19:34:56 UTC

...updated BOINC to the last stable...


already am on 7.2.39 (x64)

I don't know what you think BOINC 7.2.39 is the latest stable release. The last versions of 7.2.x was 7.2.42. Then 7.4.42 was released last year and now we are on 7.6.22. See http://boinc.berkeley.edu/download_all.php

However if you want to run a version that will give you a correct ID for your GPU you want to get 7.6.23 or newer from http://boinc.berkeley.edu/dl/?C=M;O=D. 7.6.23 ads a new GPU detection method to pull the name from the OpenCL name string.

However for GCN GPUs that no longer support ATI CAL you will need to use an app_info.xml and manually download the files from http://milkyway.cs.rpi.edu/milkyway/download/ until Milkyway updates their server version.

Here is what the app_info.xml looks like on my system with a R9 390X.
<app_info>
<app>
<name>milkyway</name>
<user_friendly_name>MilkyWay@Home</user_friendly_name>
</app>
<file_info>
<name>milkyway_separation_1.20_windows_x86_64__opencl_amd_ati.exe</name>
<executable/>
</file_info>
<app_version>
<app_name>milkyway</app_name>
<version_num>120</version_num>
<platform>windows_x86_64</platform>
<flops>56e10</flops>
<plan_class>opencl_amd_ati</plan_class>
<coproc>
<type>ATI</type>
<count>1</count>
</coproc>
<dont_throttle/>
<file_ref>
<file_name>milkyway_separation_1.20_windows_x86_64__opencl_amd_ati.exe</file_name>
<main_program/>
</file_ref>
</app_version>
<app>
<name>milkyway_separation__modified_fit</name>
<user_friendly_name>Milkyway@Home Separation (Modified Fit)</user_friendly_name>
</app>
<file_info>
<name>milkyway_separation__modified_fit_1.36_windows_x86_64__opencl_ati_101.exe</name>
<executable/>
</file_info>
<app_version>
<app_name>milkyway_separation__modified_fit</app_name>
<version_num>136</version_num>
<platform>windows_x86_64</platform>
<flops>56e10</flops>
<plan_class>opencl_amd_ati</plan_class>
<coproc>
<type>ATI</type>
<count>1</count>
</coproc>
<dont_throttle/>
<file_ref>
<file_name>milkyway_separation__modified_fit_1.36_windows_x86_64__opencl_ati_101.exe</file_name>
<main_program/>
</file_ref>
</app_version>
</app_info>

I had good results with drivers 15.7.1 & 15.12. On my system 16.3.2 was a mess.
ID: 64521 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote

Message boards : Number crunching : Milkeyway@home on R9 380

©2022 Astroinformatics Group